import request from '@/utils/request'

// 查询养护单位列表
export function listUnit(query) {
  return request({
    url: '/system/unit/list',
    method: 'get',
    params: query
  })
}

// 查询养护单位详细
export function getUnit(id) {
  return request({
    url: '/system/unit/' + id,
    method: 'get'
  })
}

// 新增养护单位
export function addUnit(data) {
  return request({
    url: '/system/unit',
    method: 'post',
    data: data
  })
}

// 修改养护单位
export function updateUnit(data) {
  return request({
    url: '/system/unit',
    method: 'put',
    data: data
  })
}

// 删除养护单位
export function delUnit(id) {
  return request({
    url: '/system/unit/' + id,
    method: 'delete'
  })
}
